#!/usr/bin/env python2
import os
import time
import json
import requests

#yum host url
host = "parkos.hjzhparking.com"
#host = "192.168.1.10"
frpDir = "/dxpark/service/frpc";

print(">> begin check frp init ...")
try:
	macs = os.popen("cat /sys/class/net/*/address").read().replace(":","").split("\n")
	macadd = macs[0]
	print("workmac is[%s]" % macs)
	print("workmac is[%s]" % macadd)
	macdata = "";
	for mac in macs:
		macdata=macdata+","+mac;
	print("macdata is[%s]" % macdata)
	url = "http://"+host+"/dxparkapi/park/login/frpc/"+macadd+"?macs="+macdata[1:]
	#url = "http://"+host+"/dxparkapi/park/login/frpc/"+macadd+"?macs="+json.dumps(macs, False)
	print(url)
	headers = {"content-type":"application/json","charset":"utf-8"}
	#resp = requests.post(url, headers, {"mac":macadd,"macs":macs,"type":1})
	resp = requests.get(url)
	respData = json.dumps(resp.json(), False)
	print("version resp:%s" % respData)
	respData = json.loads(respData)
	code = respData["status"]
	if code==0:
		data = respData["data"]
		print(os.popen("sed -i '/server_addr/d' {}/frpc.ini".format(frpDir)).read())
		print(os.popen("sed -i '/_ssh/d' {}/frpc.ini".format(frpDir)).read())
		print(os.popen("sed -i '/_web/d' {}/frpc.ini".format(frpDir)).read())
		print(os.popen("sed -i '/type/d' {}/frpc.ini".format(frpDir)).read())
		print(os.popen("sed -i '/local_ip/d' {}/frpc.ini".format(frpDir)).read())
		print(os.popen("sed -i '/local_port/d' {}/frpc.ini".format(frpDir)).read())
		print(os.popen("sed -i '/remote_port/d' {}/frpc.ini".format(frpDir)).read())
		for key in data:
			print("echo frpc data: {}".format(key))
			print(os.popen("echo \"{}\" >> {}/frpc.ini".format(key, frpDir)).read())
		print(os.popen("pkill frp").read())
		print(os.popen("pkill frp").read())
	else:
		print("resp error:%d", code)
except Exception as e:
	print("check frp error.", e)
print(">> end check frp init...")
